Loading...
Searching...
No Matches
ISMRMRD::WaveformHeader Struct Reference
Inheritance diagram for ISMRMRD::WaveformHeader:

## Public Member Functions

bool | isFlagSet (const uint64_t val)
void | setFlag (const uint64_t val)
void | clearFlag (const uint64_t val)
void | clearAllFlags ()

## Additional Inherited Members

Public Attributes inherited from ISMRMRD::ISMRMRD_WaveformHeader
uint16_t | version
uint16_t | pad1
uint32_t | pad2
uint64_t | flags
uint32_t | measurement_uid
uint32_t | scan_counter
uint32_t | time_stamp
uint16_t | number_of_samples
uint16_t | channels
float | sample_time_us
uint16_t | waveform_id

The documentation for this struct was generated from the following files:

- waveform.h
- waveform.cpp